<template>
   <div class="loading-bar">
       <div class="percentage" :style="{ 'width': percentage + '%' }"></div>
   </div>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
    data() {
        return {
            percentage: 100,
            interval: {}
        }
    },
    methods: {
        startTimer() {
            this.interval = setInterval(() => {
            if(this.percentage > 0)
                this.percentage -= .1;
            else {
                clearInterval(this.interval)
                this.$emit('sendInputWordFromChild')
            }
            }, this.time)
        }
    },
    computed: {
        ...mapGetters([
            'getRoomState'
        ]),
        time() {
            return this.getRoomState.timer.time
        },
        isStarted() {
            return this.getRoomState.timer.isStarted
        }
    },
    watch: {
        isStarted() {
            if(this.isStarted) {
                this.startTimer()
            } else
                clearInterval(this.interval)
        }
    }
}
</script>

<style scoped>
    .loading-bar {
        position: relative;
        width: 100%;
        height: 10px;
        background: #59556f;
        border-radius: 0 0 5px 5px;
        overflow: hidden;
    }

    .percentage {
        position: absolute;
        display: block;
        height: 100%;
        width: 50%;
        background: #26213E;
        border-radius: 0 0 5px 5px;
    }
</style>